Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040623
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2019-04-16 10:362019-05-21 15:16
ReportergorkaionView Statuspublic 
Assigned Tononofrancisco 
PriorityhighResolutionfixedFixed in Version3.0PR19Q3
StatusclosedFix in branchFixed in SCM revision1fbbfb4e42f7
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040623: Valued Stock Report with aggregated data not working when filtering by old data

DescriptionWhen filtering the Valued Stock Report by a date that has newer aggregated data the transactions from last valid aggregated data to filter date are not considered.
Steps To ReproduceOn a environment with aggregated data enabled.
For a product there is aggregated data for:

01-01-2019 to 31-01-2019
01-02-2019 to 28-02-2019
01-02-2019 to 31-03-2019

If you filter the Valued Stock Report for 10-02-2019 the stock is wrong. It will not consider transactions happened from 01-02-2019 to 10-02-2019.
Proposed SolutionOn ValuedStockReport.java when calculating the strMaxAggDate variable it should execute the selectMaxAggregatedDate query including the date used in the filter so the returned value is always before that date. In the example it is returning 31-03-2019 so the report is using the aggregated data until 31-01-2019 and the transactions from 31-03-2019 to 10-02-2019 which is wrong.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0040670 closedSandrahuguet Generate Aggregated Data Background process fail 
related to defect 0040676 closeddmiguelez Valued Stock Report not properly working when movementDate has more precision than days and aggregated data 

-  Notes
(0111272)
Sandrahuguet (developer)
2019-04-24 12:53

Test Plan:
Go to open/close period control and close 2014 and 2015 from F&B España
Go to End year close and close 2014 and 2015 from F&B España
Go to Valued Stock report and filter by:
 Organization: F&B España, S.A
 Date 27-11-2015
 Consolidated warehouse: true
Save the results
Go to Process request and run Generate Aggregated Data Background
Go to Valued Stock report and filter by:
 Organization: F&B España, S.A
 Date 27-11-2015
 Consolidated warehouse: true
compare both results and notice that are the same
(0111282)
hgbot (developer)
2019-04-24 15:24

Repository: erp/devel/pi
Changeset: 1fbbfb4e42f7644f9b1c229af765936dadf0df3d
Author: Nono Carballo <nonofce <at> gmail.com>
Date: Wed Apr 24 13:21:07 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/1fbbfb4e42f7644f9b1c229af765936dadf0df3d [^]

Fixes issue 40623: Considers date in filter

When retrieving the date for aggregate report, date set in filter is also
considered.

---
M src/org/openbravo/erpCommon/ad_reports/ReportValuationStock.java
M src/org/openbravo/erpCommon/ad_reports/ReportValuationStock_data.xsql
---
(0111283)
Sandrahuguet (developer)
2019-04-24 15:25

Code review + testing OK
(0111343)
hgbot (developer)
2019-04-26 09:07

Repository: erp/devel/pi
Changeset: d1c1ca14caff16f0f6b4f0bc2761878675f65163
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Thu Apr 25 09:53:25 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/d1c1ca14caff16f0f6b4f0bc2761878675f65163 [^]

Related to Issue 40623. Use proper date to filter the max aggregated period

---
M src/org/openbravo/erpCommon/ad_reports/ReportValuationStock.java
---
(0111345)
dmiguelez (developer)
2019-04-26 09:08

Code Review + Testing Ok
(0111996)
hudsonbot (developer)
2019-05-21 15:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9b8f37d9d85e [^]
Maturity status: Test
(0111999)
hudsonbot (developer)
2019-05-21 15:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9b8f37d9d85e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-04-16 10:36 gorkaion New Issue
2019-04-16 10:36 gorkaion Assigned To => Triage Finance
2019-04-16 10:36 gorkaion Modules => Core
2019-04-16 10:36 gorkaion Triggers an Emergency Pack => No
2019-04-16 17:42 Sandrahuguet Assigned To Triage Finance => nonofrancisco
2019-04-24 12:53 Sandrahuguet Note Added: 0111272
2019-04-24 13:06 Sandrahuguet Relationship added related to 0040670
2019-04-24 15:24 hgbot Checkin
2019-04-24 15:24 hgbot Note Added: 0111282
2019-04-24 15:24 hgbot Status new => resolved
2019-04-24 15:24 hgbot Resolution open => fixed
2019-04-24 15:24 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/1fbbfb4e42f7644f9b1c229af765936dadf0df3d [^]
2019-04-24 15:25 Sandrahuguet Review Assigned To => Sandrahuguet
2019-04-24 15:25 Sandrahuguet Note Added: 0111283
2019-04-24 15:25 Sandrahuguet Status resolved => closed
2019-04-24 15:25 Sandrahuguet Fixed in Version => 3.0PR19Q3
2019-04-25 09:07 Sandrahuguet Status closed => new
2019-04-25 09:07 Sandrahuguet Resolution fixed => open
2019-04-25 09:07 Sandrahuguet Fixed in Version 3.0PR19Q3 =>
2019-04-26 09:07 hgbot Checkin
2019-04-26 09:07 hgbot Note Added: 0111343
2019-04-26 09:08 dmiguelez Status new => scheduled
2019-04-26 09:08 dmiguelez Status scheduled => resolved
2019-04-26 09:08 dmiguelez Fixed in Version => 3.0PR19Q3
2019-04-26 09:08 dmiguelez Resolution open => fixed
2019-04-26 09:08 dmiguelez Review Assigned To Sandrahuguet => dmiguelez
2019-04-26 09:08 dmiguelez Note Added: 0111345
2019-04-26 09:08 dmiguelez Status resolved => closed
2019-04-26 10:15 dmiguelez Relationship added related to 0040676
2019-05-21 15:16 hudsonbot Checkin
2019-05-21 15:16 hudsonbot Note Added: 0111996
2019-05-21 15:16 hudsonbot Checkin
2019-05-21 15:16 hudsonbot Note Added: 0111999


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker